## spotipy 2.24.0

=== docs/requirements.txt ===
Sphinx~=7.3.7
sphinx-rtd-theme~=2.0.0
redis>=3.5.3

=== debian/changelog ===
spotipy (2.24.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077082)

 -- Edward Betts <edward@4angle.com>  Fri, 26 Jul 2024 11:21:53 +0900

=== debian/control ===
Source: spotipy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-redis <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/plamere/spotipy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/spotipy
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/spotipy.git

Package: python3-spotipy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Lightweight library for accessing the Spotify Web API
 Spotipy is a lightweight Python library providing access to the Spotify Web
 API. It allows users to interact with a variety of Spotify services, including
 retrieving music data, accessing user-authorized endpoints, and interacting
 with playlists and tracks.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/spotipy-$1\.tar\.gz/ \
  https://github.com/plamere/spotipy/tags .*/v?(\d\S+)\.tar\.gz

## spotipy 2.25.0

=== docs/requirements.txt ===
Sphinx~=7.4.7
sphinx-rtd-theme~=2.0.0
redis>=3.5.3

=== debian/changelog ===
spotipy (2.25.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Move packages required for tests to Build-Depends-Indep.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 25 Jan 2025 12:08:44 +0100

spotipy (2.24.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 17:49:20 +0900

=== debian/control ===
Source: spotipy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-redis <!nocheck>,
 python3-requests <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/plamere/spotipy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/spotipy
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/spotipy.git

Package: python3-spotipy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Lightweight library for accessing the Spotify Web API
 Spotipy is a lightweight Python library providing access to the Spotify Web
 API. It allows users to interact with a variety of Spotify services, including
 retrieving music data, accessing user-authorized endpoints, and interacting
 with playlists and tracks.

## spotipy 2.25.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/spotipy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/spotipy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/spotipy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/spotipy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
Sphinx~=8.1.3
sphinx-rtd-theme~=3.0.2
redis>=3.5.3

=== debian/changelog ===
spotipy (2.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2025-27154 (Closes: #1099084)
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 09 Mar 2025 16:31:55 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-redis <!nocheck>,
  python3-requests <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/plamere/spotipy
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/spotipy
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/spotipy.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=tests -k "not test_spotify_client_credentials_get_access_token"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/plamere/spotipy/tags .*/v?(\d\S+)\.tar\.gz

## spotipy 2.25.2

=== debian/changelog ===
spotipy (2.25.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix CVE-2025-66040 (Closes: #1121540)
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Thu, 25 Dec 2025 17:12:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,8 +13,7 @@
  python3-pytest <!nocheck>,
  python3-redis <!nocheck>,
  python3-requests <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.3
 Homepage: https://github.com/plamere/spotipy
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/spotipy
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/spotipy.git

=== debian/watch ===
Version: 5

Template: Github
Owner: plamere
Project: spotipy
